Get Warehouse Receiving Order

View as Markdown

Returns details of a specific warehouse receiving order by ID, including its status and the expected, received, and stowed quantities of each SKU in the order. The per-box breakdown of contents is returned by the boxes endpoint.

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

idintegerRequired
Id of the receiving order

Response

Success
box_labels_uristring or nullOptional
URL to the packing slip to be included in each box shipment for this receiving order
box_packaging_typeenumOptional
expected_arrival_datedatetimeOptional

Expected date that all packages will have arrived. Returned as a full RFC 3339 date-time, for example 2026-08-05T00:00:00Z.

external_sync_timestampdatetime or nullOptional
The timestamp in UTC when a 3rd party integrator has set in our system
fulfillment_centerobjectOptional
Information about a fulfillment center
idintegerOptional
Unique id of the warehouse receiving order
insert_datedatetimeOptional

Insert date of the receiving order. Returned as a full RFC 3339 date-time, for example 2026-08-05T00:00:00Z.

inventory_quantitieslist of objects or nullOptional
Inventory items and quantities within the WRO
last_updated_datedatetimeOptional

Last date the receiving order was updated. Returned as a full RFC 3339 date-time, for example 2026-08-05T00:00:00Z.

package_typeenumOptional
purchase_order_numberstring or nullOptional
Purchase order number for a receiving order
statusenumOptional
status_historylist of objects or nullOptional
The history of status changes for this receiving order

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error